<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_euler.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Euler Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_euler.html">Euler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_euler.html#a388a0e51006fc1f463f103ffed9e40a0">CopyFrom</a>(const Euler *euler)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_euler.html#a8673834881a1a1020e2d1000fc7bb388">Euler</a>(const Euler *euler)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_euler.html#abb113a12646ed6880eaf8d5bdf040800">Euler</a>(float roll=0, float pitch=0, float yaw=0)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_euler.html#acce5b55271e16844831b3bb31e2c549b">pitch</a></td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_euler.html#abb3d68785990a6dbd94b98e675c4af8c">roll</a></td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_euler.html#a5aa015f79d111935b25bfd2628037550">RotateX</a>(float value)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_euler.html#a912cf9210658b17b71cc8eae59f1f915">RotateXDeg</a>(float value)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_euler.html#a0d44703b2c30940a8b1affd9b7649f45">RotateY</a>(float value)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_euler.html#af9cae1df2e5cd115e7a087d617dac363">RotateYDeg</a>(float value)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_euler.html#afc7b797617819a8685af3f18a271c4bc">RotateZ</a>(float value)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_euler.html#adb9782977daa5c10204ca73c6c2281bc">RotateZDeg</a>(float value)</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_euler.html#a518916126b6a5499310f73391c943857">yaw</a></td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_euler.html#afb4b1de4e7735cef3237340a589da6fe">~Euler</a>()</td><td class="entry"><a class="el" href="class_euler.html">Euler</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
